<?php

/**
 * Инсталляция модуля Typofilter
 */


/**
 * Реализует хук install
 */
function typofilter_install() {
	//сохраняем переменную для всех настроек фильтрации
	$filter_options = array(
		'fix_spaces' => 1,
		'replace_copyright' => 1,
		'replace_registered' => 1,
		'replace_trademark' => 1,
		'replace_hellip' => 1,
		'replace_plusminus' => 1,
		'fix_quotes' => 1,
		'nested_quotes' => 1,
		'fix_dashes' => 1,
		'fix_ndash' => 1,
		'glue_percent' => 1,
		'glue_IP' => 1,
	);
	variable_set('typofilter_options',$filter_options);
	
	//сохраняем переменную для пользовательских сейф-блоков
	$safe_blocks = array(
		'<pre[^>]*>' => '<\/pre>',
		'<style[^>]*>' => '<\/style>',
		'<script[^>]*>' => '<\/script>',
		'<!--' => '-->',
	    '<code[^>]*>' => '<\/code>',
		'<safeblock>' => '<\/safeblock>',
	);
	variable_set('typofilter_safe_blocks',$safe_blocks);
} //function typofilter_install


/**
 * Удаляет модуль
 *
 */
function typofilter_uninstall() {
	variable_del('typofilter_options');
	variable_del('typofilter_safe_blocks');
}
